<template lang="pug">
.level
  .level-left
    span.level-item: button.button.is-primary Add User
    span.level-item: button.button.is-primary Import Users
  .level-right
    span.level-item
      p.control.has-addons
        input.input(v-model="searchValue" @keyup="searchEmit" placeholder="Search")
        span.select: select(v-model="searchParam")
          option(value="all") All
          option(value="username") Username
          option(value="name") Name
          option(value="email") Email
          //- option(value="id") ID
</template>

<script>
  export default {
    name: 'user-actions',
    data() {
      return {
        searchValue: '',
        searchParam: 'all'
      }
    },
    methods: {
      searchEmit() {
        this.$emit('search', this.searchValue, this.searchParam)
      }
    }
  }
</script>
